{
  glucose.modules = [
    (
      {
        pkgs,
        config,
        lib,
        ...
      }: {
        services.murmur = {
          enable = true;

          environmentFile = "${config.sops.templates."murmur.env.secrets.yaml".path}";
          # the environment variables are provided by, evidently, the environment file.
          welcometext = "$MURMUR_WELCOME_MESSAGE";
          # registerPassword = "$MURMUR_REGISTRY_PASSWORD"; # removed as we realized we don't actually want it to be a public server.
          password = "$MURMUR_LOGIN_PASSWORD";

          port = 64738; # tcp/udp - this is the default but i'm writing it out as to not have to dig into the declaration every time i need to know which port it is.
          openFirewall = false;
          registerName = "Adyya's cave of hushed tones";
          registerUrl = "https://mumble.collective-conciousness.monster";
          registerHostname = "mumble.collective-conciousness.mosnter"; # i vaguely know what the difference between these two are but it is a bit strange, i guess.
        };
      }
    )
  ];
}
